package com.tencent.mm.plugin.appbrand.widget.recentview;

import android.content.Context;
import android.view.View;
import android.widget.ListView;
import com.tencent.mm.kernel.b.e;
import com.tencent.mm.kernel.c.a;
import com.tencent.mm.plugin.appbrand.a.c;
import com.tencent.mm.plugin.appbrand.widget.header.HeaderContainer;
import com.tencent.mm.plugin.appbrand.widget.header.b;

@e(c.class)
public interface d extends a {
    b a(Context context, ListView listView, HeaderContainer headerContainer);

    AppBrandRecentView a(Context context, b bVar, a aVar);

    void aOC();

    b aOD();

    void aOE();

    boolean aOF();

    HeaderContainer df(Context context);

    View dg(Context context);
}
